View Issue Details

IDProjectCategoryView StatusLast Update
0001642SUMoNew Featurepublic2013-01-13 00:28
ReporterpoutnikgAssigned ToKyle_Katarn 
PriorityhighSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
PlatformDesktopOSWindows Vista 64OS VersionHome Premium SP2
Product Version3.3.0 
Target VersionFixed in Version3.5 
Summary0001642: Automation of Scan-Load-check operations
DescriptionSUMO should be able to be configured by such a way
it optionally perform startup Scan a/o Load a/o Check operations
without user intervention.

These operations could be integrated into the single combined operation over the single item.

SUMO after new item is scanned would automatically gather info normally get by Load operation, that would be kept until next item scan or update check.

IMHO all the long lasting Load operation is redundant,
as all info is already gathered and info update is enough to be gathered
and update checks.
TagsUX

Relationships

related to 0001583 acknowledgedKyle_Katarn SUMO silent mode until updated list is ready 
related to 0000809 resolvedKyle_Katarn SUMo loads too many times 
related to 0001881 acknowledgedKyle_Katarn Indication of last scan / last check 
related to 0001565 resolvedKyle_Katarn Update + control for new apps 

Activities

poutnikg

2012-07-22 19:09

reporter   ~0000979

typo: .....at update checks.

poutnikg

2012-08-17 12:18

reporter   ~0001125

E.g. by implementation of these optional startup items offers,
done in given order :

- SUMO update check at startup ( offered download and closing, later even autoupdate )
- Scan at startup
- Load at startup
- Check at startup

Kyle_Katarn

2012-08-17 14:11

administrator   ~0001126

OK

bytehead

2012-08-17 20:38

reporter   ~0001130

Last edited: 2012-08-18 01:07

View 2 revisions

Thanks poutnikg, I wanted to propose the same thing long time ago.

In general, all SUMo algorithms should be optimized and made faster, and not redundant at the very least. Combining Load/Check and Scan/Check pairs into single step operations is the first thing that should be done in this respect.

I also propose to add some command line flags that override default settings at start-up. I'd like to be able to configure 2 different shortcuts for SUMo:

1) to quickly load and check previously scanned items on start-up (if local DB is empty, do full rescan first in the user-set default mode);
2) to force full *rescan* and then check everything on start-up (with different flags for quick/thorough/custom scanning modes).

poutnikg

2012-11-02 11:12

reporter   ~0001313

Related to 0001583: SUMO silent mode until updated list is ready
http://www.kcsoftwares.com/bugs/view.php?id=1583

Issue History

Date Modified Username Field Change
2012-07-22 19:07 poutnikg New Issue
2012-07-22 19:09 poutnikg Note Added: 0000979
2012-07-22 22:15 Kyle_Katarn Assigned To => Kyle_Katarn
2012-07-22 22:15 Kyle_Katarn Status new => acknowledged
2012-07-28 12:11 bytehead Tag Attached: UX
2012-08-17 12:18 poutnikg Note Added: 0001125
2012-08-17 14:11 Kyle_Katarn Note Added: 0001126
2012-08-17 20:38 bytehead Note Added: 0001130
2012-08-18 01:07 bytehead Note Edited: 0001130 View Revisions
2012-10-20 12:58 bytehead Relationship added related to 0000809
2012-10-20 13:53 bytehead Priority normal => high
2012-11-01 16:38 Kyle_Katarn Relationship added related to 0001619
2012-11-02 11:12 poutnikg Note Added: 0001313
2012-11-02 22:37 bytehead Relationship added related to 0001583
2012-12-29 19:14 Kyle_Katarn Relationship added related to 0001881
2013-01-07 01:05 bytehead Relationship added related to 0001565
2013-01-13 00:26 Kyle_Katarn Status acknowledged => resolved
2013-01-13 00:26 Kyle_Katarn Fixed in Version => 3.5
2013-01-13 00:26 Kyle_Katarn Resolution open => fixed
2013-01-13 00:28 Kyle_Katarn Relationship deleted related to 0001619